## org.apache.commons.math.util
Class CompositeFormat

    java.lang.Object
      java.text.Format
          org.apache.commons.math.util.CompositeFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ComplexFormat, RealVectorFormat, Vector3DFormat

    public abstract class CompositeFormat

extends java.text.Format

Base class for formatters of composite objects (complex numbers, vectors ...).

Version:
  $Revision: 811783 $ $Date: 2009-09-06 04:56:58 -0400 (Sun, 06 Sep 2009) $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.Format
`java.text.Format.Field`

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`CompositeFormat()`

Method Summary
`protected java.lang.StringBuffer` `formatDouble(double value, java.text.NumberFormat format, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)` Formats a double value to produce a string.
`protected static java.text.NumberFormat` `getDefaultNumberFormat()` Create a default number format.
`protected static java.text.NumberFormat` `getDefaultNumberFormat(java.util.Locale locale)` Create a default number format.
`protected void` `parseAndIgnoreWhitespace(java.lang.String source, java.text.ParsePosition pos)` Parses `source` until a non-whitespace character is found.
`protected boolean` `parseFixedstring(java.lang.String source, java.lang.String expected, java.text.ParsePosition pos)` Parse `source` for an expected fixed string.
`protected char` `parseNextCharacter(java.lang.String source, java.text.ParsePosition pos)` Parses `source` until a non-whitespace character is found.
`private java.lang.Number` `parseNumber(java.lang.String source, double value, java.text.ParsePosition pos)` Parses `source` for special double values.
`protected java.lang.Number` `parseNumber(java.lang.String source, java.text.NumberFormat format, java.text.ParsePosition pos)` Parses `source` for a number.

Methods inherited from class java.text.Format
`clone, format, format, formatToCharacterIterator, parseObject, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### CompositeFormat

    public CompositeFormat()

Method Detail

### getDefaultNumberFormat

    protected static java.text.NumberFormat getDefaultNumberFormat()

  Create a default number format. The default number format is based on `NumberFormat.getInstance()` with the only customizing that the maximum number of fraction digits is set to 2.

  Returns:
    the default number format.

### getDefaultNumberFormat

    protected static java.text.NumberFormat getDefaultNumberFormat(java.util.Locale locale)

  Create a default number format. The default number format is based on `NumberFormat.getInstance(java.util.Locale)` with the only customizing that the maximum number of fraction digits is set to 2.

  Parameters:
    `locale` - the specific locale used by the format.
  Returns:
    the default number format specific to the given locale.

### parseAndIgnoreWhitespace

    protected void parseAndIgnoreWhitespace(java.lang.String source,
                                            java.text.ParsePosition pos)

  Parses `source` until a non-whitespace character is found.

  Parameters:
    `source` - the string to parse
    `pos` - input/ouput parsing parameter. On output, `pos` holds the index of the next non-whitespace character.

### parseNextCharacter

    protected char parseNextCharacter(java.lang.String source,
                                      java.text.ParsePosition pos)

  Parses `source` until a non-whitespace character is found.

  Parameters:
    `source` - the string to parse
    `pos` - input/ouput parsing parameter.
  Returns:
    the first non-whitespace character.

### parseNumber

    private java.lang.Number parseNumber(java.lang.String source,
                                         double value,
                                         java.text.ParsePosition pos)

  Parses `source` for special double values. These values include Double.NaN, Double.POSITIVE_INFINITY, Double.NEGATIVE_INFINITY.

  Parameters:
    `source` - the string to parse
    `value` - the special value to parse.
    `pos` - input/ouput parsing parameter.
  Returns:
    the special number.

### parseNumber

    protected java.lang.Number parseNumber(java.lang.String source,
                                           java.text.NumberFormat format,
                                           java.text.ParsePosition pos)

  Parses `source` for a number. This method can parse normal, numeric values as well as special values. These special values include Double.NaN, Double.POSITIVE_INFINITY, Double.NEGATIVE_INFINITY.

  Parameters:
    `source` - the string to parse
    `format` - the number format used to parse normal, numeric values.
    `pos` - input/ouput parsing parameter.
  Returns:
    the parsed number.

### parseFixedstring

    protected boolean parseFixedstring(java.lang.String source,
                                       java.lang.String expected,
                                       java.text.ParsePosition pos)

  Parse `source` for an expected fixed string.

  Parameters:
    `source` - the string to parse
    `expected` - expected string
    `pos` - input/ouput parsing parameter.
  Returns:
    true if the expected string was there

### formatDouble

    protected java.lang.StringBuffer formatDouble(double value,
                                                  java.text.NumberFormat format,
                                                  java.lang.StringBuffer toAppendTo,
                                                  java.text.FieldPosition pos)

  Formats a double value to produce a string. In general, the value is formatted using the formatting rules of `format`. There are three exceptions to this:
  1. NaN is formatted as '(NaN)'
  2. Positive infinity is formatted as '(Infinity)'
  3. Negative infinity is formatted as '(-Infinity)'

  Parameters:
    `value` - the double to format.
    `format` - the format used.
    `toAppendTo` - where the text is to be appended
    `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
  Returns:
    the value passed in as toAppendTo.

Copyright (c) 2003-2010 Apache Software Foundation